org.gradle.tooling.model

## Interface HasGradleProject

- All Superinterfaces:
    ProjectModel
  All Known Subinterfaces:
    EclipseProject, HierarchicalEclipseProject, IdeaModule

      public interface HasGradleProject
      extends ProjectModel

  An element that is associated with a Gradle project. Via the Gradle project you can access (list, run, etc.) Gradle tasks.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleProject` | `getGradleProject()` The associated Gradle project.
    `ProjectIdentifier` | `getProjectIdentifier()` Returns the identifier for the project that this model is associated with.

- - ### Method Detail

    - #### getProjectIdentifier

          ProjectIdentifier getProjectIdentifier()

      Returns the identifier for the project that this model is associated with.
      Specified by:
        `getProjectIdentifier` in interface `ProjectModel`
      Since:
        3.3

    - #### getGradleProject

          GradleProject getGradleProject()

      The associated Gradle project. Via the gradle project you can access (list, run, etc.) Gradle tasks.